package com.miaxis.question.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.QuestionInfoKtNew;
import com.miaxis.question.dto.QuestionInfoFreeDTO;
import com.miaxis.question.dto.QuestionInfoNewDTO;

import java.util.List;

/**
 * 获取快通题库Mapper接口
 *
 * @author miaxis
 * @date 2023-11-03
 */
public interface QuestionInfoKtNewMapper extends BaseMapper<QuestionInfoKtNew> {
    /**
     * 查询获取快通题库列表
     *
     * @param questionInfoKtNew 获取快通题库
     * @return 获取快通题库集合
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewList(QuestionInfoKtNew questionInfoKtNew);

    int selectQuestionInfoKtNewCount(QuestionInfoKtNew questionInfoKtNew);

    List<QuestionInfoKtNew> selectTestK14QuestionInfoList(String toString);

    List<QuestionInfoKtNew> selectFreeQuestionInfoList(QuestionInfoFreeDTO freeDTO);

    List<QuestionInfoKtNew> selectQuestionInfoList(QuestionInfoNewDTO questionInfoNewDTO);

    List<QuestionInfoKtNew> selectNormalQuestionInfoList(QuestionInfoNewDTO questionInfoNewDTO);

    List<QuestionInfoKtNew> selectQuestionInfoListByIds(Long[] ids);
}
